Mandrake Linux Security Advisory : xine-lib (MDKSA-2005:094)

This script is Copyright (C) 2005-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

Two buffer overflow vulnerabilities were discovered in the MMS and
Real RTSP stream handlers in the Xine libraries. If an attacker can
trick a user to connect to a malicious MMS or RTSP video/audio stream
source with any application using this library, they could crash the
client and possibly even execute arbitrary code with the privileges of
the user running the player program.

The updated packages have been patched to correct these problems.

See also :

http://xinehq.de/index.php/security/XSA-2004-8

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 18412 (mandrake_MDKSA-2005-094.nasl)

Bugtraq ID:

CVE ID: CVE-2005-1195

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now